Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.queue
Interface WaitingQueueListener

All Known Implementing Classes:
  QueueSizeChecker

    public interface WaitingQueueListener

Represents a waiting-queue listener which can be notified about events concerning waiting queues. When an implementation is registered to a waiting queue, it is notified when contacts are enqueued and dequeued, or when the queue is initialized.

Method Summary
`void` | `dequeued(DequeueEvent ev)` This method is called when a contact is removed from a waiting queue, `ev` representing the corresponding dequeue event.
`void` | `enqueued(DequeueEvent ev)` This method is called after a contact was added to a queue.
`void` | `init(WaitingQueue queue)` This method is called after the `WaitingQueue.init()` method is called for the waiting queue `queue`.

Method Detail

### enqueued

    void enqueued(DequeueEvent ev)

  This method is called after a contact was added to a queue. The event `ev` can be used to access the available information about the queued contact. When this is called, it should be possible to use the waiting-queue iterator to find the contact in the queue. However, if the contact is immediately dequeued, it can be absent from the queue.

  Parameters:
    `ev` - the dequeue event associated with the queued contact.

### dequeued

    void dequeued(DequeueEvent ev)

  This method is called when a contact is removed from a waiting queue, `ev` representing the corresponding dequeue event.

  Parameters:
    `ev` - the obsolete dequeue event.

### init

    void init(WaitingQueue queue)

  This method is called after the `WaitingQueue.init()` method is called for the waiting queue `queue`.

  Parameters:
    `queue` - the queue being initialized.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.